These docs are for v3. Click to read the latest docs for v4.

Create Wallet Order Quotation

Wallet Order Quotation

Order Quotations are used to quote a wallet order if you use our API instead of the Hosted Widget.

To quote a different sourceCurrency please set it to a supported presentment currency (e.g. USD, GBP, EUR, etc).

There are two ways to specify the amount field:

  • amount (will always be the fiat amount without fees included, so amountIncludeFees should NOT be passed in the request)
  • sourceAmount/destAmount (fiat/crypto amount respectively, use only one, not both)

When sourceAmount/destAmount is specified, amountIncludeFees is mandatory. This informs whether the amount has fees already included or not. This approach does not lock the rates. It can slightly change from the moment of the quote and the moment the order is placed. If you want rates locking, please use Wallet Order Reservations instead.

How amountIncludeFees Works:

amountIncludeFees = false
Fees are added on top: $100 + fees will be charged to the user. The user receives the full $100 in value.

amountIncludeFees = true
Fees will be subtracted from the amount: $100 - fees will be sent to the user's wallet. The user receives the amount less the fees.

See the Order Quotation Guide.

Body Params
string

The amount of source currency (not including fees) to be exchanged in the wallet order (only used if sourceAmount, destAmount, and amountIncludeFees are not provided)

string
required

The currency (ISO 3166-1 Alpha-3) to withdraw from the source wallet

string
required

The currency (ISO 3166-1 alpha-3) to deposit to dest wallet (e.g. BTC)

string
required

A digital currency address to send the digital currency to

string
required

The partner account identifier to associate the widget purchase with

string
required

Country code (ISO Alpha-2 in uppercase). Must be one of the countries supported by Wyre

string
Defaults to DEBIT_CARD

The type of wallet, can be APPLE_PAY or DEBIT_CARD

boolean

If true, fees are deducted from the sourceAmount or destAmount, only one of which should be used (amountIncludeFees should not be included if amount is provided)

string

Use this parameter in place of amount when amountIncludeFees is provided.

string

Use this parameter in place of amount when amountIncludeFees is provided.

Response

Language
Credentials
Bearer
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json